"use strict";

const arrayOf = require("./");
const { validateValue } = require("@validatem/core"); /* FIXME: Add this as a devDep */
const isString = require("@validatem/is-string");

let validator = arrayOf(isString);

let arrayA = ["hello world", "foo", "bar", "baz"];

console.log(validateValue(arrayA, validator)); // [ 'hello world', 'foo', 'bar', 'baz' ]

let arrayB = ["hello world", "foo", 42, "bar"];

console.log(validateValue(arrayB, validator)); /*
	AggregrateValidationError: One or more validation errors occurred:
	 - At 2: Must be a string
*/
